QGIS Application - Bug report #15437

Ctrl F should not be used to filter layer and its use can lead to real confusion

2016-08-14 09:41 PM - Harrissou Santanna

Status: Open
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:3.0.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23363

Description

In attribute table, Ctrl F opens a dialog to search features you'd like to select or filter in the layer.

Out of the attribute table, holding Ctrl F opens the Filter provider dialog of the current layer, whose effect is to "remove" from the provider

some features.

In the first case, you are looking for features; in the other, you filter out from the project some features (I don't think it's a search - which is

the common assumption of Ctrl F) and having same shortcut for those two functions (which dramatically do different things) sounds

confusing.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2018-02-27 06:09 PM - Harrissou Santanna
- Affected QGIS version changed from 2.16.1 to 3.0.0
- Description updated

Still true on 3.1 (and 2.18)
